# release timestamp... to keep consistent with the way gradm is packaged
%define timestamp 200704162120

# don't want a debubinfo package
%define debug_package %{nil}

Summary: PaX control program and regression tests
Name: paxctl
Version: 0.5
Release: %{timestamp}.art
License: GPL
Group: System Environment/Kernel
Packager: Cormander
URL: http://pax.grsecurity.net
Source0: %{name}-%{version}.tar.gz
Source1: paxtest-0.9.5.tar.gz
Patch1: paxtest-chdir-libexec.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: pax-linux

%description
New PaX control program when you use the PT_PAX_FLAGS marking
available in PaX patches after 2004.02.04. Also contains the
PaX regression test suite

%prep
%setup -q
tar zxf $RPM_SOURCE_DIR/paxtest-0.9.5.tar.gz
%patch1 -p0

%build
rm -rf $RPM_BUILD_ROOT

make %{_smp_mflags}

cd paxtest-0.9.5
export RUNDIR=%{_libexecdir}/paxtest
make %{_smp_mflags} generic

%install
rm -rf $RPM_BUILD_ROOT

make %{_smp_mflags} DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/%{_libexecdir}/paxtest \
		$RPM_BUILD_ROOT/sbin

cd paxtest-0.9.5

# install tests
for i in anonmap execbss execdata execheap execstack mprotanon mprotbss mprotdata mprotheap mprotshbss mprotshdata mprotstack randamap randheap1 randheap2 randmain1 randmain2 randshlib randstack1 randstack2 rettofunc1 rettofunc1x rettofunc2 rettofunc2x shlibbss shlibdata writetext; do
	install -m 0755 $i $RPM_BUILD_ROOT/%{_libexecdir}/paxtest/
done

# isntall utils
for i in getamap getheap1 getheap2 getmain1 getmain2 getshlib getstack1 getstack2; do
    install -m 0755 $i $RPM_BUILD_ROOT/%{_libexecdir}/paxtest/
done

# install libs
for i in shlibtest.so shlibtest2.so; do
    install -m 0755 $i $RPM_BUILD_ROOT/%{_libexecdir}/paxtest/
done

# install wrapper script
install -m 0755 paxtest $RPM_BUILD_ROOT/sbin/
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/sbin/paxctl
/sbin/paxtest
%{_mandir}/man*/*
%dir
%{_libexecdir}/paxtest/

%changelog
* Thu Apr  3 2008 Cormander <admin@ravencore.com>
- Initial build.

